-- example6.exw
--
-- This opens a window with a populated list in it.

include dos32lib.e
without warning

constant cr = { 13, 10 }

constant
    Win   = create( Window, "List", 0, Default, Default, 200, 220, 0 ),
    List1 = create( List, "", Win, 10, 10, 120, 140, 0 ),
    Button1 = create( PushButton, "Info...", Win, 10, 150, 60, 32, 0 )

procedure onLoad_Win()

    -- build the list    
    addItem( List1, "one" )
    addItem( List1, "two" )
    addItem( List1, "three" )
    addItem( List1, "four" )
    addItem( List1, "five" )
    addItem( List1, "six" )
    addItem( List1, "seven" )
    addItem( List1, "eight" )
    addItem( List1, "nine" )
    addItem( List1, "ten" )

end procedure

procedure onClick_Button1()    
    integer index
    object result

    -- get index
    index = getIndex( List1 )

    result = message_box( 
        sprintf( "List Count = %d ", {getCount(List1)} ) & cr &
        sprintf( "Selected Item Index = %d ", { index } ) & cr &
        sprintf( "Selected Item Text = %s ", {getItem(List1,index)} ), 
        "List Information", 0 )        
    
end procedure
onClick[ Button1 ] = routine_id( "onClick_Button1" )


onOpen[ Win ] = routine_id( "onLoad_Win" )

WinMain( Win )

