-- example7.exw
--
-- This creates two editable controls,
-- and buttons to query their control's values

include dos32lib.e
without warning

constant                                      
    Win     = create( Window, "Get Data", 0, Default, Default, 400, 200, 0 ),  
    
    Check1  = create( CheckBox, "checkbox", Win, 10, 10, 80, 20, 0 ),
    Button1 = create( PushButton, "Check Value...", Win, 180, 10, 120, 20, 0 ),
    
    Sle1    = create( EditText, "", Win, 10, 40, 120, 20, 0 ),
    Button2 = create( PushButton, "Check Value...", Win, 180, 40, 120, 20, 0 )


procedure onClick_Button1()    
    object result
    
    if isChecked( Check1 ) then
        result = message_box( "Yes", "Is it Checked?", 0 )
    else
        result = message_box( "No", "Is it Checked?", 0 )
    end if
    
end procedure

onClick[ Button1 ] = routine_id("onClick_Button1")


procedure onClick_Button2()
    integer result
    result = message_box( getText( Sle1 ), "Data In SLE", 0 )
end procedure

onClick[ Button2 ] = routine_id("onClick_Button2")


WinMain( Win )

