-- example9.exw
--
-- Display fonts in a window

include dos32lib.e
without warning

constant FontWin =  
    create( Window, "Font Window", 0, Default, Default, 350, 150, 0 )

-- action to take when the window displays
global procedure onPaint_FontWin( integer x1, integer y1, integer x2, integer y2 )
     
    setDefaultFont( FontWin )
    setPosition( FontWin, 1, 1 )
    wPuts( FontWin, "System Font" )
    
    setPosition( FontWin, 1, 15 )
    setFont( FontWin, "Courier New", 10, 0 )
    wPuts( FontWin, "Courier New" )

    setPosition( FontWin, 1, 30 )
    setFont( FontWin, "Times New Roman", 10, 0 )
    wPuts( FontWin, "Times New Roman" )
                           
    setPosition( FontWin, 1, 45 )
    setFont( FontWin, "Arial", 10, 0 )
    wPuts( FontWin, "Arial" )
    
    setPosition( FontWin, 1, 60 )
    setFont( FontWin, "Times New Roman", 10, Bold )
    wPuts( FontWin, "Times New Roman: Bold" )
    
    setPosition( FontWin, 1, 75 )
    setFont( FontWin, "Times New Roman", 10, Italic )
    wPuts( FontWin, "Times New Roman: Italic" )
                           
    setPosition( FontWin, 1, 90 )
    setFont( FontWin, "Times New Roman", 10, Underline )
    wPuts( FontWin, "Times New Roman: Underline" )
                           
    setPosition( FontWin, 1, 105 )
    setFont( FontWin, "Times New Roman", 10, Bold+Italic+Underline )
    wPuts( FontWin, "Times New Roman: Bold, Italic and Underline" )
    
end procedure

-- tell Windows when to do the action
    onPaint[FontWin] = routine_id( "onPaint_FontWin" )

   
-- hand control over to Windows
    WinMain( FontWin )

