-- example11.exw
--
-- Creates a Moire pattern with colored lines

include dos32lib.e
without warning


constant DrawWin =
    create( Window, "Colors", 0, Default, Default, 150, 150, 0 )


procedure onPaint_DrawWin( integer x1, integer y1, integer x2, integer y2 )
    integer color

    for i = 1 to 150 by 3 do
        for j = 0 to 3 do
        
            -- pick a color
            if      j < 1 then      setPenColor( DrawWin, BrightRed )
            elsif   j < 2 then      setPenColor( DrawWin, BrightGreen )
            else                    setPenColor( DrawWin, BrightBlue )
            end if              

            -- draw the line            
            drawLine( DrawWin, 1, 1, i+j, 150 )
            drawLine( DrawWin, 1, 1, 150, i+j )
                
        end for
    end for

end procedure

-- tell Windows when to do the action
    onPaint[DrawWin] = routine_id( "onPaint_DrawWin" )

WinMain( DrawWin )


