-- example13.exw
--
-- Simple timer

include dos32lib.e
without warning

constant TimerWin =  
    create( Window, "Timer Window", 0, Default, Default, 200, 100, 0 )
    
constant MyTimer    = 1

-----------------------------------------------------------------------------
integer ticks
ticks = 0
-----------------------------------------------------------------------------
procedure onTimer_TimerWin( integer timerId )

    -- increment the timer
    ticks = ticks + 1
    
    -- force an onPaint event
    repaintWindow( TimerWin )
    
    
end procedure  

-----------------------------------------------------------------------------
procedure onPaint_TimerWin( integer x1, integer y1, integer x2, integer y2 )

    -- display the new amount
    setPosition( TimerWin, 1, 1 )
    wPrintf( TimerWin, "Ticks = %d", {ticks} )
    
end procedure


-----------------------------------------------------------------------------
procedure onOpen_TimerWin()

    -- activate the timer to tick each second (1000 ms)
    setTimer( TimerWin, MyTimer, 1000 )
    
end procedure

onOpen[TimerWin]    = routine_id( "onOpen_TimerWin" )
onTimer[TimerWin]   = routine_id( "onTimer_TimerWin" )
onPaint[TimerWin]   = routine_id( "onPaint_TimerWin" )


WinMain( TimerWin )

