-- example14.exw
--  by Pete Eberlein
-- This example opens a window, and places an icon in it.

with trace
include dos32lib.e
   
constant StaticWin =  
    create( Window, "Pete's Static Icons and Bitmaps!", 0, Default, Default, 300, 100, 0 )

constant Icon1 =
    create( Icon, "", StaticWin, 20, 20, 32, 32, 0 )

constant Icon2 =
    create( Icon, "", StaticWin, 120, 20, 32, 32, 0 )

constant Bitmap1 =
    create( Bitmap, "", StaticWin, 220, 20, 32, 32, 0 )


-- windows logo
constant    IDI_WINLOGO = 32517


-- action to take when the window opens
global procedure onOpen_StaticWin()
    setIcon( Icon1, IDI_WINLOGO )
    setIcon( Icon2, "shuttle.ico" )
    setBitmap( Bitmap1, "tiles.bmp" )
end procedure
   
-- tell Windows when to do the action
    onOpen[StaticWin] = routine_id( "onOpen_StaticWin" )
   

-- hand control over to Windows
    WinMain( StaticWin )

