-- example15.exw
--
-- This opens a window with a bunch of controls on it, then
-- changes the window color.          

-- NOTE: the scroll bar values are not set, so the program will
--       crash if you change the values of the scroll bar!

include dos32lib.e
without warning

constant Win =  
    create( Window, "Simple Window", 0, Default, Default, 400, 400, 0 )
    
procedure onLoad_Win()
    
    integer rgbColor, widget, x, y

    -- initial control position
    x = 5
    y = 5

    -- build controls
    for i = PushButton to VScroll do
        widget = create( i, sprintf( "Control %d", i ), Win, x, y, 120, 40, 0 )
        setScrollRange( widget, 1, 10 )
        y = y + 50
        if y > 320 then
            y = 5
            x = x + 130
        end if
    end for             

    -- get the button face color
    rgbColor = getSysColor( COLOR_BTNFACE )    

    -- change the window color
    setWindowBackColor( Win, rgbColor )
                                                                                                         
end procedure

onOpen[ Win ] = routine_id( "onLoad_Win" )

WinMain( Win )

