-- example5.exw
--
-- This opens a window with two buttons.
-- Clicking the buttons brings up a message box.

include dos32lib.e
without warning

constant Win =  
   create( Window, "Two Buttons", 0, Default, Default, 150, 150, 0 )

-- create two buttons
constant 
thisButton = 
    create( PushButton, "Don't Push Me!", Win, 10, 10, 120, 40, 0 ),

thatButton = 
    create( PushButton, "Push Me!", Win, 10, 60, 120, 40, 0 )

-- the first button's behavior
global procedure onClick_ThisButton()
    atom result
    result = message_box( "That hurt!", "Ouch!", 0 )
end procedure                                       

-- tell Windows when to do the action
onClick[thisButton] = routine_id( "onClick_ThisButton" )


-- second button's behavior    
global procedure onClick_ThatButton()
    atom result
    result = message_box( "That tickles!", "*Giggle*", 0 )
end procedure                                       

-- tell Windows when to do the action
onClick[thatButton] = routine_id( "onClick_ThatButton" )

-- hand control over to Windows
WinMain( Win )

